org.apache.solr.client.solrj.io

## Class ClassificationEvaluation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ClassificationEvaluation

    public class ClassificationEvaluation
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClassificationEvaluation()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addEvaluation(Map map)`
`void` `count(int actual, int predicted)`
`static ClassificationEvaluation` `create(Map map)`
`double` `getAccuracy()`
`double` `getF1()`
`double` `getPrecision()`
`double` `getRecall()`
`void` `putToMap(Map map)`
`Map` `toMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationEvaluation

    public ClassificationEvaluation()

### Method Detail

#### count

    public void count(int actual,
                      int predicted)

#### putToMap

    public void putToMap(Map map)

#### toMap

    public Map toMap()

#### create

    public static ClassificationEvaluation create(Map map)

#### addEvaluation

    public void addEvaluation(Map map)

#### getPrecision

    public double getPrecision()

#### getRecall

    public double getRecall()

#### getF1

    public double getF1()

#### getAccuracy

    public double getAccuracy()